org.ajax4jsf.util

## Class ServicesUtils

- java.lang.Object
- - org.ajax4jsf.util.ServicesUtils

- Deprecated.

      @Deprecated
      public final class ServicesUtils
      extends Object

  Author:
    shura

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Class<?>` | `getService(String name)` Deprecated.
    `static Object` | `getServiceInstance(String name)` Deprecated. Get per-context instance for service.
    `static Class<?>` | `loadClass(ClassLoader loader, String name)` Deprecated.
    `static Class<?>` | `loadServiceClass(ClassLoader loader, String name)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getService

          public static Class<?> getService(String name)
                                     throws ClassNotFoundException

      Deprecated.
      Parameters:
        `name` -
      Returns:
      Throws:
        `ClassNotFoundException`

    - #### getServiceInstance

          public static Object getServiceInstance(String name)

      Deprecated.
      Get per-context instance for service.
      Parameters:
        `name` - - name ( default classname ) for service.
      Returns:
        current instance for this service.
      Throws:
        `ClassNotFoundException`

    - #### loadServiceClass

          public static Class<?> loadServiceClass(ClassLoader loader,
                                  String name)
                                           throws ClassNotFoundException

      Deprecated.
      Parameters:
        `loader` -
        `name` -
      Returns:
      Throws:
        `ClassNotFoundException`

    - #### loadClass

          public static Class<?> loadClass(ClassLoader loader,
                           String name)
                                    throws ClassNotFoundException

      Deprecated.
      Parameters:
        `loader` -
        `name` -
      Returns:
      Throws:
        `ClassNotFoundException`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.